---
title: Perform an Immediate Backup
description: The Backup Service REST API allows an immediate backup to be triggered.
pubDate: 2026-08-17T09:53:44.266Z
antora:
  editUrl: https://github.com/couchbase/docs-server/edit/release/7.6/modules/rest-api/pages/backup-trigger-backup.adoc
  xref: xref:7.6@server:rest-api:backup-trigger-backup.adoc[]
---

[Consult the llms.txt file for a full list of contents](/llms.txt)
[View original HTML](/server/7.6/rest-api/backup-trigger-backup.html)

# Perform an Immediate Backup

> The Backup Service REST API allows an immediate backup to be triggered. 

## [](#http-methods-and-uris)HTTP Method and URI

POST /cluster/self/repository/active/<repository-id>/backup

## [](#description)Description

Triggers an immediate backup for the specified active repository: thus, the need to wait for a scheduled backup can be eliminated as required.

## [](#curl-syntax)Curl Syntax

curl -X POST http://<backup-node-ip-address-or-domain-name>:8097/cluster/self\
/repository/active/<repository-id>/backup \
  -u <username>:<password>

The `username` and `password` must identify an administrator with the Full Admin role. The `repository-id` must be the name of an active repository on the cluster.

## [](#responses)Responses

Successful execution triggers the specified backup, and returns `200 OK`, with an object that provides the task id. For example:

{"task_name":"BACKUP-b19a0d39-2a41-49e0-bc0c-db0cb42bcb12"}

If the specified repository cannot be located, `404 Object Not Found` is returned, with an object such as the following: `` {"status":404,"msg":"repository `res4tRepo `` does not exist"}\`.

If the call is improperly formatted, `400 Bad Request` is returned; with an object such as the following: `{"status":400,"msg":"invalid request body","extras":"invalid character '{' looking for beginning of object key string"}`.

If an internal error prevents successful execution, `500 Internal Server Error` is returned; with a message such as the following: `{"status":500,"msg":"could not send task","extras":"failed bucket check for bucket 'travel-sample': bucket UUIDs don’t match bf5e2d0ec35e7957ed96509b8ed7e13f != 15b15c78439db91ba73f27ac4d6ba116"}`.

Failure to authenticate returns `401 Unauthorized`. An incorrectly specified URI returns `404 Object Not Found`.

## [](#example)Example

The following example requests an immediate backup for the `restRepo` active repository:

curl -v -X POST http://127.0.0.1:8097/api/v1/cluster/self/\
repository/active/restRepo/backup \
-u Administrator:password \
-d '{"full_backup": false}'

If successful, the call returns `200 OK`, and a message such as the following:

{"task_name":"BACKUP-6230b85e-f925-401d-a632-8688929263e2"}

## [](#see-also)See Also

An overview of the Backup Service is provided in [Backup Service](../learn/services-and-indexes/services/backup-service.md). A step-by-step guide to using Couchbase Web Console to configure and use the Backup Service is provided in [Manage Backup and Restore](../manage/manage-backup-and-restore/manage-backup-and-restore.md). For information on scheduling backups by means of plans, see [Create and Edit Plans](backup-create-and-edit-plans.md).